-- version and date - make sure you set: svn:keywords Date Rev
local revision = tonumber(("$Revision: 62411 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-21 11:02:59 -0500 (Thu, 21 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- create the class
local AddOn = ShakedownAddonBase:new("Chinchilla", "Chinchilla")

function AddOn:Activate()
    if not AddOn.class.prototype.Activate(self) then return end
    
    local pos = Chinchilla:GetModule("Position")
    
    -- unlock the map and movers
    Chinchilla:CallMethodOnAllModules(false, "SetLocked", false)
    if Chinchilla:IsModuleActive("Position") and pos then
        pos:ShowFrameMover('durability', true)
        pos:ShowFrameMover('questWatch', true)
        pos:ShowFrameMover('questTimer', true)
        pos:ShowFrameMover('capture', true)

        -- remove the standardUI frames
        local questWatchCoveringFrame = getglobal("questWatchCoveringFrame")
        if questWatchCoveringFrame then
            questWatchCoveringFrame:Hide()
        end
        local durabilityCoveringFrame = getglobal("durabilityCoveringFrame")
        if durabilityCoveringFrame then
            durabilityCoveringFrame:Hide()
        end
    end
end

function AddOn:Deactivate()
    AddOn.class.prototype.Deactivate(self)
    
    local pos = Chinchilla:GetModule("Position")

    -- lock the map and movers
    Chinchilla:CallMethodOnAllModules(false, "SetLocked", true)
    if Chinchilla:IsModuleActive("Position") and pos then
        pos:ShowFrameMover('durability', false)
        pos:ShowFrameMover('questWatch', false)
        pos:ShowFrameMover('questTimer', false)
        pos:ShowFrameMover('capture', false)
    end
end
