-- version and date
local revision = tonumber(("$Revision: 62409 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-21 10:45:30 -0500 (Thu, 21 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- constants
local FREQUENCY = 60

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase, "AceEvent-2.0")

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "ClassTimer", "ClassTimer")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- display now
    self:Display()
    
    -- schedule a display every minute
    self:ScheduleRepeatingEvent("ClassTimerShakedownDisplay", self.Display, FREQUENCY, self)

end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- stop display scheduling
    self:CancelScheduledEvent("ClassTimerShakedownDisplay")
    
    -- lock the bars, if they aren't
    if not ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.get() then
        ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.set({'General'}, true)
    end

end

function Addon.prototype:Display()

    if ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.get() then
        -- unlock the bars, which puts them on a 2 min timer
        ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.set({'General'}, false)
    else
        -- lock the bars, then unlock them again; bad things happen if you leave them for the 2 min timer
        ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.set({'General'}, true)
        ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.set({'General'}, false)
    end

end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()