-- version and date - make sure you set: svn:keywords Date Rev
local revision = tonumber(("$Revision: 62409 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-21 10:45:30 -0500 (Thu, 21 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "SimpleMinimap", "SimpleMinimap")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- unlock the map and movers
    simpleMinimap:GetOptions().args.lock.set("lock", false)
    simpleMinimap:GetOptions().args.lock.set("lockdown", false)
    
    -- remove the standardUI covering frames
    if simpleMinimap:IsModuleActive("movers") then
        local questWatchCoveringFrame = getglobal("questWatchCoveringFrame")
        if questWatchCoveringFrame then
            questWatchCoveringFrame:Hide()
        end

        local durabilityCoveringFrame = getglobal("durabilityCoveringFrame")
        if durabilityCoveringFrame then
            durabilityCoveringFrame:Hide()
        end
    end
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- unlock the map and movers
    simpleMinimap:GetOptions().args.lock.set("lock", true)
    simpleMinimap:GetOptions().args.lock.set("lockdown", true)
end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()