-- version and date - make sure you set: svn:keywords Date Rev
local revision = tonumber(("$Revision: 62411 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-21 11:02:59 -0500 (Thu, 21 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- localisations
local L = AceLibrary("AceLocale-2.2"):new("ShakedownSomeAddOn")
L:RegisterTranslations("enUS", function() return {
    ["This AddOn's Name"] = true,
    ["Some Translation"] = true,
    ["Some Other Translation"] = true,
} end)
L:RegisterTranslations("frFR", function() return {
    ["This AddOn's Name"] = true,
    ["Some Translation"] = true,
    ["Some Other Translation"] = true,
} end)
L:RegisterTranslations("deDE", function() return {
    ["This AddOn's Name"] = true,
    ["Some Translation"] = true,
    ["Some Other Translation"] = true,
} end)

-- constants
local SOMECONSTANT1 = "blah"
local SOMECONSTANT2 = "blahblah"

-- arg1 = AddOn's name, as recognised by the WoW API IsAddOnLoaded
-- arg1 = AddOn's description, as will be shown in the menus
local AddOn = ShakedownAddOnBase:new("SomeAddOn", L["Some AddOn's Name"])

-- locals
local stringLocal = ""
local intLocal = 1

-- (optional) extra actions required after the LOD AddOn has been loaded
function AddOn:Load()
    self:Debug("AddOn:Load")

    if not AddOn.class.prototype.Load(self) then return end
    
    -- this entire method is optional; put any actions that are required immediately after LOD AddOn has been loaded
    
    -- successful load
    return true
    
end

function AddOn:Activate()

    if not AddOn.class.prototype.Activate(self) then return end
    
    -- code to make the AddOn sing and dance
    -- the singing and dancing should not stop until deactivate is called

end

function AddOn:Deactivate()

    AddOn.class.prototype.Deactivate(self)

    -- code to stop all singing and dancing of this AddOn

end